using ErsatzTV.Application.MediaCollections;

namespace ErsatzTV.Controllers.Api.Requests;

public record UpdateCollectionRequest(string Name, bool? UseCustomPlaybackOrder)
{
    public UpdateCollection ToCommand(int id) =>
        new(id, Name)
        {
            UseCustomPlaybackOrder = Optional(UseCustomPlaybackOrder)
        };
}
